<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/mParent"
    android:layout_width="match_parent"
    android:layout_height="@dimen/dp_68"
    android:background="@color/white">

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/mImage"
        android:layout_width="@dimen/dp_48"
        android:layout_height="@dimen/dp_48"
        android:layout_marginLeft="@dimen/dp_16"
        android:src="@mipmap/ic_default_man"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <TextView
        android:id="@+id/mNickName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_4"
        android:drawablePadding="@dimen/dp_10"
        android:ellipsize="end"
        android:maxLength="8"
        android:text="称呼"
        android:textColor="@color/col_313"
        android:textSize="@dimen/dp_15"
        android:textStyle="bold"
        app:layout_constraintLeft_toRightOf="@+id/mImage"
        app:layout_constraintTop_toTopOf="@id/mImage" />

    <TextView
        android:id="@+id/mEditName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_8"
        android:drawableLeft="@mipmap/ic_edit"
        android:drawablePadding="@dimen/dp_6"
        android:ellipsize="end"
        android:gravity="center_vertical"
        android:maxLength="8"
        android:text="备注"
        android:textColor="@color/col_8D0"
        android:textSize="@dimen/dp_12"
        app:layout_constraintBottom_toBottomOf="@id/mNickName"
        app:layout_constraintLeft_toRightOf="@+id/mNickName"
        app:layout_constraintTop_toTopOf="@+id/mNickName" />

    <TextView
        android:id="@+id/mCode"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_4"
        android:text="设备号"
        android:textColor="@color/col_455"
        android:textSize="@dimen/dp_12"
        app:layout_constraintBottom_toBottomOf="@id/mImage"
        app:layout_constraintLeft_toRightOf="@+id/mImage" />

    <LinearLayout
        android:id="@+id/mChild"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/mCancel"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/mCancel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="@dimen/sp_14"
        android:background="@drawable/shape_btn_select_bg_white"
        android:paddingLeft="@dimen/dp_20"
        android:paddingTop="@dimen/dp_5"
        android:paddingRight="@dimen/dp_20"
        android:paddingBottom="@dimen/dp_5"
        android:text="@string/un_binding"
        android:textColor="@color/col_41c"
        android:textSize="@dimen/dp_12"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:layout_width="wrap_content"
        android:layout_height="1px"
        android:layout_marginRight="20dp"
        android:background="@color/col_f1f"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintLeft_toRightOf="@id/mImage" />

</androidx.constraintlayout.widget.ConstraintLayout>